Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Like this post I am also trying to complete this heroku tutorial

I have installed and used everything (node.js, npm, express) successfully until I got to Foreman. I installed Foreman by first installing Ruby:

alex@ubuntu:~$ sudo apt-get install ruby1.9.1

then installing Foreman. I am a newbie to Unix so I "sudo" perhaps unnecessarily here, but I got confirmation in the terminal that it had installed but also some errors:

alex@ubuntu:~/NodeHelloWorld$ sudo gem install foreman
Invalid gemspec in [/var/lib/gems/1.8/specifications/foreman-0.26.1.gemspec]: invalid date format in specification: "2011-11-10 00:00:00.000000000Z"
Invalid gemspec in [/var/lib/gems/1.8/specifications/term-ansicolor-1.0.7.gemspec]: invalid date format in specification: "2011-10-13 00:00:00.000000000Z"
Invalid gemspec in [/var/lib/gems/1.8/specifications/foreman-0.26.1.gemspec]: invalid date format in specification: "2011-11-10 00:00:00.000000000Z"
Invalid gemspec in [/var/lib/gems/1.8/specifications/term-ansicolor-1.0.7.gemspec]: invalid date format in specification: "2011-10-13 00:00:00.000000000Z"
Successfully installed term-ansicolor-1.0.7
Successfully installed foreman-0.26.1

Then when I try to start foreman I get similar:

alex@ubuntu:~/NodeHelloWorld$ foreman start
Invalid gemspec in [/var/lib/gems/1.8/specifications/foreman-0.26.1.gemspec]: invalid date format in specification: "2011-11-10 00:00:00.000000000Z"
Invalid gemspec in [/var/lib/gems/1.8/specifications/term-ansicolor-1.0.7.gemspec]: invalid date format in specification: "2011-10-13 00:00:00.000000000Z"
/usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:926:in `report_activate_error': Could not find RubyGem foreman (>= 0) (Gem::LoadError)
    from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:244:in `activate_dep'
    from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:236:in `activate'
    from /usr/lib/ruby/vendor_ruby/1.8/rubygems.rb:1307:in `gem'
    from /usr/local/bin/foreman:18

Can anyone help me? I am a newbie to Unix after finally dumping windows as I found I could not get foreman-windows to work for me either

I have found this post from someone with apparently the same issue. Does this mean my version of ruby could be wrong? I am running 1.9.1, though again new to ruby as well;

alex@ubuntu:~/NodeHelloWorld$ ruby1.9.1 -v
ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]

Thanks

share|improve this question
    
Is this resolved by: sudo gem update rails OR sudo gem update --system, so that you re using the latest version(s)? –  david6 Nov 23 '11 at 1:42
add comment

migrated from stackoverflow.com Nov 23 '11 at 1:27

This question came from our site for professional and enthusiast programmers.

1 Answer

I found a solution - edit gemspec files by opening an admin "session":

Alt+F2 then type gksudo nautilus and browse to, edit and save .gemspec files.

Both problem files require the dates edited from 2011-11-10 00:00:00.000000000Z to 2011-11-10

share|improve this answer
1  
I did it with sudo mc and navigate to the files that needs to be edited, changed the time value and that was it. Thanks a lot for the solution. –  rmagnum2002 Dec 24 '11 at 22:13
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.